Templatecgicc::HTMLAtomicElement class Reference

Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# cgicc::HTMLAtomicElement Class Template Reference

Template for concrete atomic HTMLElement subclasses. More...

`#include <cgicc/HTMLAtomicElement.h>`

Inheritance diagram for cgicc::HTMLAtomicElement::

List of all members.

## Public Methods
virtual HTMLElement * | clone () const
| Clone this element. More...
virtual const char * | getName () const
| Get the name of this element. More...
Constructors and Destructor
| HTMLAtomicElement ()
| Create a new empty atomic element. More...
| HTMLAtomicElement (const HTMLAttributeList &attributes)
| Create a new element, specifying the HTMLAttributes. More...
virtual | ~HTMLAtomicElement ()
| Destructor. More...

## Detailed Description

### template<class Tag>
class cgicc::HTMLAtomicElement< Tag >

Template for concrete atomic HTMLElement subclasses.

An atomic HTML element is an element in which the opening and closing tags are combined. For example, in the HTML code

     <meta link="made" href="mailto:sbooth@gnu.org" />

The `meta` tag is an atomic HTML element because the opening and closing tags appear together.

See also:
  HTMLElement , HTMLBooleanElement

Definition at line 54 of file HTMLAtomicElement.h.

## Constructor & Destructor Documentation

template<class Tag>
cgicc::HTMLAtomicElement< Tag >::HTMLAtomicElement | ( |  | ) | `[inline]`

| Create a new empty atomic element. Definition at line 67 of file HTMLAtomicElement.h.

template<class Tag>
cgicc::HTMLAtomicElement< Tag >::HTMLAtomicElement | ( | const HTMLAttributeList & | attributes | ) | `[inline]`

  | Create a new element, specifying the HTMLAttributes. Parameters:
  attributes | The HTMLAttributes contained within the element.
Definition at line 76 of file HTMLAtomicElement.h.

template<class Tag>
virtual cgicc::HTMLAtomicElement< Tag >::~HTMLAtomicElement | ( |  | ) | `[inline, virtual]`

| Destructor. Definition at line 85 of file HTMLAtomicElement.h.

## Member Function Documentation

template<class Tag>
virtual HTMLElement* cgicc::HTMLAtomicElement< Tag >::clone | ( |  | ) | const`[inline, virtual]`

| Clone this element. Returns: A newly-allocated copy of this element Reimplemented from cgicc::HTMLElement. Definition at line 95 of file HTMLAtomicElement.h.

template<class Tag>
virtual const char* cgicc::HTMLAtomicElement< Tag >::getName | ( |  | ) | const`[inline, virtual]`

| Get the name of this element. For example, `meta`. Returns: The name of this element Reimplemented from cgicc::HTMLElement. Definition at line 106 of file HTMLAtomicElement.h.

The documentation for this class was generated from the following file:

- HTMLAtomicElement.h